﻿Imports System.ComponentModel
Imports System.IO

Public Class frmPercent

   Private _Saver As New DataSetSaver(Me, "..\..\TestDts.DataSet.xml")

   Private Sub frmParentChild_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
      _Saver.Load(TestDts)
   End Sub

   Private Sub MenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) _
         Handles TestToolStripMenuItem.Click, ReLoadToolStripMenuItem.Click, SaveToolStripMenuItem.Click
      Select Case True
         Case sender Is ReLoadToolStripMenuItem
            _Saver.Load(TestDts)
         Case sender Is SaveToolStripMenuItem
            _Saver.Save(TestDts)
         Case sender Is TestToolStripMenuItem

      End Select
   End Sub

   Private Sub Form_FormClosing(ByVal sender As Object, ByVal e As FormClosingEventArgs) _
         Handles Me.FormClosing
      _Saver.HandleFormClosing(TestDts, e)
   End Sub

   Private Sub WorkLogDataGridView_CellFormatting(ByVal sender As Object, ByVal e As DataGridViewCellFormattingEventArgs) Handles WorkLogDataGridView.CellFormatting
      If e.Value Is Nothing _
        OrElse e.ColumnIndex <> 3 _
        OrElse Not e.RowIndex.IsBetween(0, WorkLogBindingSource.Count - 1) Then Return
      e.Value = String.Format("{0:0.00} %", e.Value)
      e.FormattingApplied = True
   End Sub
End Class