Imports System.IO
Imports MiniKass.MiniKassDts
Imports System.ComponentModel

Public Class frmMiniKass

   Private _Saver As New DataSetSaver(Me, "..\..\MiniKassDts.DataSet.xml")

   Private Sub Form_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
      _Saver.Load(MiniKassDts)
   End Sub

   Private Sub MenuStrip1_MenuClicked(ByVal Sender As Object, ByVal e As EventArgs) _
      Handles SaveToolStripMenuItem.Click, ReloadToolStripMenuItem.Click, TestToolStripMenuItem.Click, AddBonToolStripMenuItem.Click
      Select Case True
         Case Sender Is ReloadToolStripMenuItem
            _Saver.Load(MiniKassDts)
         Case Sender Is SaveToolStripMenuItem
            _Saver.Save(MiniKassDts)
         Case Sender Is AddBonToolStripMenuItem
            'BonBindingSource.AddNew()
            MiniKassDts.Bon.AddBonRow(Date.Now)
         Case Sender Is TestToolStripMenuItem
            If Not TypeOf grdMaxPosten.DataSource Is BindingSource Then
               grdMaxPosten.DataSource = srcPostenTotal
               Return
            End If
            With MiniKassDts
               Dim uff = From rw In .Bon Select Aggregate pst In rw.GetPostenRows Into Extremum(pst.Anzahl)

               Dim postens = From rw In .Bon Select rw.GetPostenRows.Extremum(Function(p) p.Anzahl).Max
               'Dim postens = From rw In .Bon Select rw.GetPostenRows.Extremum(Function(p) p.Anzahl).Max
               'Dim postens = From bon In .Bon Let mx = Aggregate p In bon.GetPostenRows Into Max(p.Anzahl) Join post In .Posten On post.Anzahl Equals mx And bon.BonID Equals post.BonID Select post
               grdMaxPosten.DataSource = postens.ToList

            End With

            'Dim postens = From rw In MiniKassDts.Posten Where rw.Anzahl = Aggregate rw2 In rw.BonRow.GetPostenRows Into Max(rw2.Anzahl)
            'grdMaxPosten.DataSource = postens.AsDataView

      End Select
   End Sub

   Private Sub Form_FormClosing(ByVal sender As Object, ByVal e As FormClosingEventArgs) _
         Handles Me.FormClosing
      _Saver.HandleFormClosing(MiniKassDts, e)
   End Sub

   Private Sub srcPosten2_ListChanged(ByVal sender As Object, ByVal e As ListChangedEventArgs) Handles srcPosten2.ListChanged
      If e.ListChangedType <> ListChangedType.ItemAdded Then Return
      Dim rwPosten = DirectCast(DirectCast(srcPosten2(e.NewIndex), DataRowView).Row, PostenRow)
      If rwPosten.RowState <> DataRowState.Detached Then Return
      rwPosten.ArtikelRow = DirectCast(DirectCast(ArtikelBindingSource.Current, DataRowView).Row, ArtikelRow)
   End Sub

End Class